Index: tests/src/io/test-sink-multi.c
===================================================================
--- tests/src/io/test-sink-multi.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink-multi.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -7,6 +7,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -71,7 +69,4 @@
   del_aubio_source(i);
 beach_source:
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-sink.c
===================================================================
--- tests/src/io/test-sink.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -57,7 +55,4 @@
   del_fvec(vec);
 beach_fvec:
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-sink_apple_audio-multi.c
===================================================================
--- tests/src/io/test-sink_apple_audio-multi.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink_apple_audio-multi.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -77,7 +75,4 @@
   PRINT_ERR("aubio was not compiled with aubio_sink_apple_audio\n");
 #endif /* HAVE_SINK_APPLE_AUDIO */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-sink_apple_audio.c
===================================================================
--- tests/src/io/test-sink_apple_audio.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink_apple_audio.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -66,7 +64,4 @@
   PRINT_ERR("aubio was not compiled with aubio_source_apple_audio\n");
 #endif /* HAVE_SINK_APPLE_AUDIO */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-sink_sndfile-multi.c
===================================================================
--- tests/src/io/test-sink_sndfile-multi.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink_sndfile-multi.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -77,7 +75,4 @@
   PRINT_ERR("aubio was not compiled with aubio_sink_sndfile\n");
 #endif /* HAVE_SNDFILE */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-sink_sndfile.c
===================================================================
--- tests/src/io/test-sink_sndfile.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink_sndfile.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -66,7 +64,4 @@
   PRINT_ERR("aubio was not compiled with aubio_source_sndfile\n");
 #endif /* HAVE_SNDFILE */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-sink_wavwrite-multi.c
===================================================================
--- tests/src/io/test-sink_wavwrite-multi.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink_wavwrite-multi.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -77,7 +75,4 @@
   PRINT_ERR("aubio was not compiled with aubio_sink_wavwrite\n");
 #endif /* HAVE_WAVWRITE */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-sink_wavwrite.c
===================================================================
--- tests/src/io/test-sink_wavwrite.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-sink_wavwrite.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -66,7 +64,4 @@
   PRINT_ERR("aubio was not compiled with aubio_sink_wavwrite\n");
 #endif /* HAVE_WAVWRITE */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-source.c
===================================================================
--- tests/src/io/test-source.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-source.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   uint_t err = 0;
   if (argc < 2) {
@@ -58,5 +56,4 @@
   del_aubio_source (s);
 beach:
-  aubio_cleanup();
   return err;
 }
Index: tests/src/io/test-source_apple_audio.c
===================================================================
--- tests/src/io/test-source_apple_audio.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-source_apple_audio.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   uint_t err = 0;
   if (argc < 2) {
@@ -62,7 +60,4 @@
   PRINT_ERR("aubio was not compiled with aubio_source_apple_audio\n");
 #endif /* HAVE_SOURCE_APPLE_AUDIO */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-source_avcodec.c
===================================================================
--- tests/src/io/test-source_avcodec.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-source_avcodec.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   uint_t err = 0;
   if (argc < 2) {
@@ -62,7 +60,4 @@
   PRINT_ERR("aubio was not compiled with aubio_source_avcodec\n");
 #endif /* HAVE_LIBAV */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-source_multi.c
===================================================================
--- tests/src/io/test-source_multi.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-source_multi.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
   if (argc < 2) {
@@ -56,6 +54,4 @@
 beach:
 
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-source_seek.c
===================================================================
--- tests/src/io/test-source_seek.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-source_seek.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   uint_t err = 0;
   if (argc < 2) {
@@ -91,7 +89,4 @@
   // check that we got about half the frames, with 3 decimals
   assert ( roundf(1.e3 * old_n_frames_1 / old_n_frames_3) / 1.e3 == 2.);
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-source_sndfile.c
===================================================================
--- tests/src/io/test-source_sndfile.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-source_sndfile.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   uint_t err = 0;
   if (argc < 2) {
@@ -62,7 +60,4 @@
   PRINT_ERR("aubio was not compiled with aubio_source_sndfile\n");
 #endif /* HAVE_SNDFILE */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/io/test-source_wavread.c
===================================================================
--- tests/src/io/test-source_wavread.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/io/test-source_wavread.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   uint_t err = 0;
   if (argc < 2) {
@@ -63,7 +61,4 @@
   PRINT_ERR("aubio was not compiled with aubio_source_wavread\n");
 #endif /* HAVE_WAVREAD */
-
-  aubio_cleanup();
-  
   return err;
 }
Index: tests/src/onset/test-onset.c
===================================================================
--- tests/src/onset/test-onset.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/onset/test-onset.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-  
   uint_t err = 0;
   if (argc < 2) {
Index: tests/src/pitch/test-pitch.c
===================================================================
--- tests/src/pitch/test-pitch.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/pitch/test-pitch.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   // 1. allocate some memory
   uint_t n = 0; // frame counter
Index: tests/src/pitch/test-pitchfcomb.c
===================================================================
--- tests/src/pitch/test-pitchfcomb.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/pitch/test-pitchfcomb.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,5 +8,4 @@
 int main (void)
 {
-  aubio_init();
   uint_t i = 0;
   uint_t win_s = 1024; // window size
Index: tests/src/pitch/test-pitchmcomb.c
===================================================================
--- tests/src/pitch/test-pitchmcomb.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/pitch/test-pitchmcomb.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t n = 10; // compute n times
   uint_t win_s = 1024; // window size
Index: tests/src/pitch/test-pitchschmitt.c
===================================================================
--- tests/src/pitch/test-pitchschmitt.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/pitch/test-pitchschmitt.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,5 +8,4 @@
 int main (void)
 {
-  aubio_init();
   uint_t n = 10; // compute n times
   uint_t win_s = 1024; // window size
Index: tests/src/pitch/test-pitchspecacf.c
===================================================================
--- tests/src/pitch/test-pitchspecacf.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/pitch/test-pitchspecacf.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t n = 10; // compute n times
   uint_t win_s = 1024; // window size
Index: tests/src/pitch/test-pitchyin.c
===================================================================
--- tests/src/pitch/test-pitchyin.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/pitch/test-pitchyin.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t n = 10; // compute n times
   uint_t win_s = 1024; // window size
Index: tests/src/pitch/test-pitchyinfft.c
===================================================================
--- tests/src/pitch/test-pitchyinfft.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/pitch/test-pitchyinfft.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -8,6 +8,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t n = 10; // compute n times
   uint_t win_s = 1024; // window size
Index: tests/src/spectral/test-awhitening.c
===================================================================
--- tests/src/spectral/test-awhitening.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-awhitening.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-
   sint_t err = 0;
 
@@ -82,5 +80,4 @@
   del_fvec(vec);
 beach_fvec:
-  aubio_cleanup();
   return err;
 }
Index: tests/src/spectral/test-fft.c
===================================================================
--- tests/src/spectral/test-fft.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-fft.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   int return_code = 0;
   uint_t i, n_iters = 100; // number of iterations
@@ -46,7 +44,5 @@
   del_cvec(fftgrain);
   del_fvec(out);
-
   aubio_cleanup();
-  
   return return_code;
 }
Index: tests/src/spectral/test-filterbank.c
===================================================================
--- tests/src/spectral/test-filterbank.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-filterbank.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t win_s = 1024; // window size
   uint_t n_filters = 13; // number of filters
@@ -36,5 +34,4 @@
   del_cvec (in_spec);
   del_fvec (out_filters);
-  
   aubio_cleanup ();
 
Index: tests/src/spectral/test-filterbank_mel.c
===================================================================
--- tests/src/spectral/test-filterbank_mel.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-filterbank_mel.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t samplerate = 16000; // samplerate of signal to filter
   uint_t win_s = 512; // fft size
@@ -35,5 +33,4 @@
   del_cvec (in_spec);
   del_fvec (out_filters);
-  
   aubio_cleanup ();
 
Index: tests/src/spectral/test-mfcc.c
===================================================================
--- tests/src/spectral/test-mfcc.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-mfcc.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t win_s = 512; // fft size
   uint_t n_filters = 40; // number of filters
@@ -27,5 +25,4 @@
   del_cvec (in);
   del_fvec (out);
-  
   aubio_cleanup ();
 
Index: tests/src/spectral/test-phasevoc.c
===================================================================
--- tests/src/spectral/test-phasevoc.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-phasevoc.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t n = 6; // compute n times
   uint_t win_s = 32; // window size
@@ -44,5 +42,4 @@
   del_fvec(out);
   del_aubio_pvoc(pv);
-  
   aubio_cleanup();
 
Index: tests/src/spectral/test-specdesc.c
===================================================================
--- tests/src/spectral/test-specdesc.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-specdesc.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t win_s = 1024; // window size
   cvec_t *in = new_cvec (win_s); // input buffer
@@ -41,5 +39,4 @@
   del_cvec (in);
   del_fvec (out);
-  
   aubio_cleanup ();
 
Index: tests/src/spectral/test-tss.c
===================================================================
--- tests/src/spectral/test-tss.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/spectral/test-tss.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t n = 10; // compute n times
   uint_t win_s = 1024; // window size
Index: tests/src/synth/test-sampler.c
===================================================================
--- tests/src/synth/test-sampler.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/synth/test-sampler.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-  
   sint_t err = 0;
 
@@ -56,5 +54,4 @@
   del_aubio_sink(sink);
   del_fvec(vec);
-  
   aubio_cleanup();
 
Index: tests/src/synth/test-wavetable.c
===================================================================
--- tests/src/synth/test-wavetable.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/synth/test-wavetable.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-  
   sint_t err = 0;
 
@@ -65,5 +63,4 @@
   del_aubio_sink(sink);
   del_fvec(vec);
-  
   aubio_cleanup();
 
Index: tests/src/tempo/test-beattracking.c
===================================================================
--- tests/src/tempo/test-beattracking.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/tempo/test-beattracking.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -6,6 +6,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t i = 0;
   uint_t win_s = 1024; // window size
@@ -36,5 +34,4 @@
   del_fvec(in);
   del_fvec(out);
-  
   aubio_cleanup();
 
Index: tests/src/tempo/test-tempo.c
===================================================================
--- tests/src/tempo/test-tempo.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/tempo/test-tempo.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (int argc, char **argv)
 {
-  aubio_init();
-  
   uint_t err = 0;
   if (argc < 2) {
@@ -59,5 +57,4 @@
   del_fvec(out);
   del_aubio_source(source);
-  
 beach:
   aubio_cleanup();
Index: tests/src/temporal/test-a_weighting.c
===================================================================
--- tests/src/temporal/test-a_weighting.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/temporal/test-a_weighting.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,5 @@
 int main (void)
 {
-  aubio_init();
-
+  
   aubio_filter_t * f;
 
@@ -40,6 +39,4 @@
   del_aubio_filter (f);
 
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/temporal/test-biquad.c
===================================================================
--- tests/src/temporal/test-biquad.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/temporal/test-biquad.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t win_s = 64; // window size
 
@@ -31,6 +29,4 @@
   del_fvec(out_vec);
 
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/temporal/test-c_weighting.c
===================================================================
--- tests/src/temporal/test-c_weighting.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/temporal/test-c_weighting.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-
   aubio_filter_t * f;
 
@@ -40,6 +38,4 @@
   del_aubio_filter (f);
 
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/temporal/test-filter.c
===================================================================
--- tests/src/temporal/test-filter.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/temporal/test-filter.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-  
   uint_t win_s = 16; // window size
   uint_t impulse_at = win_s / 2;
@@ -32,5 +30,4 @@
   del_fvec (out);
   del_aubio_filter (o);
-  
   aubio_cleanup ();
 
Index: tests/src/temporal/test-resampler.c
===================================================================
--- tests/src/temporal/test-resampler.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/temporal/test-resampler.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -3,6 +3,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t win_s = 1024; // window size
   smpl_t ratio = 0.5;
@@ -21,6 +19,4 @@
   del_fvec (out);
 
-  aubio_cleanup();
-
   return 0;
 }
Index: tests/src/test-cvec.c
===================================================================
--- tests/src/test-cvec.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/test-cvec.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t i, window_size = 16; // window size
   cvec_t * complex_vector = new_cvec (window_size); // input buffer
@@ -47,7 +45,4 @@
   // destroy it
   del_cvec(complex_vector);
-
-  aubio_cleanup();
-
   return 0;
 }
Index: tests/src/test-delnull.c
===================================================================
--- tests/src/test-delnull.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/test-delnull.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -7,6 +7,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t return_code = 0;
   fvec_t *f = new_fvec(-12);
@@ -23,7 +21,4 @@
     return_code = 3;
   }
-
-  aubio_cleanup();
-  
   return return_code;
 }
Index: tests/src/test-fmat.c
===================================================================
--- tests/src/test-fmat.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/test-fmat.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -7,6 +7,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t height = 3, length = 9, i, j;
   // create fmat_t object
@@ -28,7 +26,4 @@
   // destroy it
   del_fmat(mat);
-
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/test-fvec.c
===================================================================
--- tests/src/test-fvec.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/test-fvec.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t vec_size = 10, i;
   fvec_t * vec = new_fvec (vec_size);
@@ -41,6 +39,4 @@
   del_fvec(vec);
 
-  aubio_cleanup();
-
   return 0;
 }
Index: tests/src/test-lvec.c
===================================================================
--- tests/src/test-lvec.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/test-lvec.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t win_s = 32; // window size
   lvec_t * sp = new_lvec (win_s); // input buffer
@@ -16,7 +14,4 @@
   lvec_print (sp);
   del_lvec(sp);
-
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/test-mathutils-window.c
===================================================================
--- tests/src/test-mathutils-window.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/test-mathutils-window.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -4,6 +4,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t length = 0;
   uint_t n_length = 4, n_types = 10, i, t;
@@ -29,7 +27,4 @@
     }
   }
-
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/test-mathutils.c
===================================================================
--- tests/src/test-mathutils.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/test-mathutils.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -114,12 +114,7 @@
 int main (void)
 {
-  aubio_init();
-
   test_next_power_of_two();
   test_miditofreq();
   test_freqtomidi();
-
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/utils/test-hist.c
===================================================================
--- tests/src/utils/test-hist.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/utils/test-hist.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -5,6 +5,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t length;
   for (length = 1; length < 10; length ++ ) {
@@ -28,7 +26,4 @@
     del_fvec(t);
   }
-
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/utils/test-log.c
===================================================================
--- tests/src/utils/test-log.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/utils/test-log.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -24,6 +24,4 @@
 int main (void)
 {
-  aubio_init();
-
   fprintf(stdout, "### testing normal logging\n");
   AUBIO_ERR("testing normal AUBIO_LOG_ERR\n");
@@ -59,6 +57,4 @@
   AUBIO_DBG("testing again normal AUBIO_LOG_DBG\n");
 
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/utils/test-parameter.c
===================================================================
--- tests/src/utils/test-parameter.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/utils/test-parameter.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -25,6 +25,4 @@
 int main (void)
 {
-  aubio_init();
-
   smpl_t max_value = 100.;
   smpl_t min_value = 0.;
@@ -69,6 +67,4 @@
   del_aubio_parameter (param);
 
-  aubio_cleanup();
-  
   return 0;
 }
Index: tests/src/utils/test-scale.c
===================================================================
--- tests/src/utils/test-scale.c	(revision 81b3910a9829de70e3756af22adcd70f96691f8d)
+++ tests/src/utils/test-scale.c	(revision 972094546fff148a563475e76050a1d4e98f9cbc)
@@ -5,6 +5,4 @@
 int main (void)
 {
-  aubio_init();
-
   uint_t n = 0;
   uint_t win_s = 1024; // window size
@@ -21,6 +19,4 @@
   del_fvec(in);
 
-  aubio_cleanup();
-  
   return 0;
 }